"use strict";

module.exports = function (COMPONENT_NAME) {
    var stateles = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

    var files = {
        js: "index.js",
        jsx: COMPONENT_NAME + ".jsx",
        css: COMPONENT_NAME + ".css"
    };
    var js = files.js,
        jsx = files.jsx,
        css = files.css;


    var INDEX_JS = "import " + COMPONENT_NAME + " from './" + jsx + "'\nexport default " + COMPONENT_NAME + ";\n    ";
    var COMP_JSX = "import React, { Component } from 'react'\nimport PropTypes from 'prop-types'\nimport './" + css + "'\n\n\nclass " + COMPONENT_NAME + " extends Component {\n    render() {\n        return (\n            <div className=\"" + COMPONENT_NAME + "\">\n            </div>\n        );\n    }\n}\n\nexport default " + COMPONENT_NAME + ";\n";

    var COMP_STATELESS_JSX = "import React  from 'react'\nimport PropTypes from 'prop-types'\nimport './" + css + "'\n\n\nconst " + COMPONENT_NAME + " = ({  }) => {\n    \n    return (\n        <div className=\"" + COMPONENT_NAME + "\">\n        </div>\n    )\n}\n\n" + COMPONENT_NAME + ".propTypes = {\n}\n\n" + COMPONENT_NAME + ".defaultProps = {\n}\n\n\nexport default " + COMPONENT_NAME + ";\n";

    var COMP_CSS = "." + COMPONENT_NAME + " {}";

    return [{
        path: "" + js,
        data: INDEX_JS
    }, {
        path: "" + jsx,
        data: stateles ? COMP_STATELESS_JSX : COMP_JSX
    }, {
        path: "" + css,
        data: COMP_CSS
    }];
};